Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0005393OCamlOCaml generalpublic2011-11-01 16:032012-01-31 18:02
Reporterglondu 
Assigned Toprotz 
PrioritynormalSeverityblockReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version3.12.1 
Target VersionFixed in Version3.13.0+dev 
Summary0005393: Fails to build from source on GNU/kFreeBSD because of -R link option
DescriptionThe summary is self-explanatory... attached is a patch that makes the Debian package compile again.
TagsNo tags attached.
Attached Filespatch file icon 0015-Do-not-add-R-dir-in-X11-link-options-on-GNU-kFreeBSD.patch [^] (606 bytes) 2011-11-01 16:03 [Show Content]

- Relationships

-  Notes
(0006447)
protz (manager)
2011-12-21 14:24

Xavier, any objections to my merging this? St├ęphane, can you maybe add a comment saying what the -R option does and why it makes things fail on kFreeBSD? (I'm not familiar of kFreeBSD, sorry).
(0006460)
glondu (reporter)
2011-12-21 15:31

I haven't found any documentation for -R. It is added only on BSD systems (and not on e.g. GNU).

This option has been introduced in commit 9072 (in 2008) by doligez, and it looks like it sets RPATH, so an equivalent could be -Wl,-rpath= (untested). However, this would go against Debian policy, since libX11 is in a standard location (my guess is that libX11 is in a location that is not searched by default by the dynamic linker on BSD). I doubt anyone would want to run GNU/kFreeBSD with a libX11 that is not in a standard location, though, since it mimics GNU for userland... so I would drop the option for the same reasons it is not given in the other GNU cases.
(0006461)
protz (manager)
2011-12-21 15:36

After reading http://gcc.gnu.org/faq.html [^] I'm even more confused. Damien, any thoughts on this?
(0006465)
xclerc (developer)
2011-12-21 16:48

I have no clue about this one, but can play with
some virtualization tool if needed.
(0006466)
protz (manager)
2011-12-21 16:56

After chatting with Damien, your fix sounds just fine. Committed in svn r11925.

Thanks!

jonathan
(0006859)
doligez (administrator)
2012-01-31 15:53

This is all caused by a bug in GNU's config.guess: it is supposed to output at triplet, but on Ubuntu it outputs: i686-pc-linux-gnu, which is a quadruplet.

This potentially breaks all the "case" statements that try to match one member of the triplet.

This should probably be reported to the maintainers of autoconf and/or ubuntu.
(0006861)
doligez (administrator)
2012-01-31 18:02

After a look at config.guess, it seems to be broken as designed, no point in reporting it.

- Issue History
Date Modified Username Field Change
2011-11-01 16:03 glondu New Issue
2011-11-01 16:03 glondu File Added: 0015-Do-not-add-R-dir-in-X11-link-options-on-GNU-kFreeBSD.patch
2011-12-21 14:20 gasche Assigned To => xclerc
2011-12-21 14:20 gasche Status new => assigned
2011-12-21 14:24 protz Note Added: 0006447
2011-12-21 15:31 glondu Note Added: 0006460
2011-12-21 15:36 protz Note Added: 0006461
2011-12-21 16:48 xclerc Note Added: 0006465
2011-12-21 16:56 protz Note Added: 0006466
2011-12-21 16:56 protz Status assigned => closed
2011-12-21 16:56 protz Assigned To xclerc => protz
2011-12-21 16:56 protz Resolution open => fixed
2011-12-21 16:56 protz Fixed in Version => 3.13.0+dev
2012-01-31 15:53 doligez Note Added: 0006859
2012-01-31 18:02 doligez Note Added: 0006861


Copyright © 2000 - 2011 MantisBT Group
Powered by Mantis Bugtracker